[Mongrel] swifty fly?

Zed A. Shaw zedshaw at zedshaw.com
Tue May 22 13:57:40 EDT 2007


On Tue, 22 May 2007 10:25:32 -0700
"Kirk Haines" <wyhaines at gmail.com> wrote:

> On 5/21/07, Zed A. Shaw <zedshaw at zedshaw.com> wrote:

> > to be some kind of gate keeper.  That let's people use GPL code all
> > they want, write commercial solutions, do their own coding style, and
> > use any enhancers they feel like without having to be "blessed".
> 
> EM's license is actually the same as Ruby's license.

I wasn't referring to EM but now that you bring it up, if that's true
then why do I get this:

eventmachine-0.7.0> grep -lr "GPL" *

lib/em/deferrable.rb
lib/em/eventable.rb
lib/pr_eventmachine.rb
lib/eventmachine_version.rb
lib/eventmachine.rb
lib/protocols/header_and_content.rb
lib/protocols/tcptest.rb
lib/protocols/httpclient.rb
lib/protocols/line_and_text.rb
README
tests/test_hc.rb
tests/test_ud.rb
tests/test_ltp.rb
tests/test_httpclient.rb
tests/test_basic.rb
tests/test_eventables.rb

As well as the giant COPYING file with the whole GPL license in it.

Until every last one of those statements is gone, it's GPL licensed.
Even worse is the README says LGPL, the license statements on these
files says GPLv2, and then everyone thinks it's Ruby licensed.

You folks should do more homework before you use this stuff.

-- 
Zed A. Shaw
- Hate: http://savingtheinternetwithhate.com/
- Good: http://www.zedshaw.com/
- Evil: http://yearofevil.com/


More information about the Mongrel-users mailing list